/* id3.h

   Header file for reading and writing ID3 tags
   By Matt Craven
   (c)1999/2000 Hedgehog Software
*/

#ifndef __ID3_H__
#define __ID3_H__

#define ID3_GENRE_MAX 148        /* Number of ID3 genres */

/* ID3 tag structure - contains all the fields of the ID3 tag */

typedef struct {
   char title[31];
   char artist[31];
   char album[31];
   char year[5];
   char comment[30];
   char track;
   char genre;
}ID3_TAG;

/* Declare the array of ID3 genres */
extern unsigned char *id3_genre_string[ID3_GENRE_MAX];

/* Function prototypes */
int id3_read(char *filename, ID3_TAG *infotag);
int id3_write(char *filename, ID3_TAG tag);
void id3_tag_to_string(ID3_TAG tag, char *txt);

#endif /* ifndef __ID3_H__ */

